# Uses of Interface
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.IResourceDependencyRemoteResolver

Packages that use IResourceDependencyRemoteResolver
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Uses of IResourceDependencyRemoteResolver in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Classes in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that implement IResourceDependencyRemoteResolver
Modifier and Type
Class
Description
`class`
`ResourceDependencyRemoteResolver`
The default implementation of the `IResourceDependencyRemoteResolver`.
Fields in org.eclipse.emf.compare.ide.ui.internal.logical.resolver declared as IResourceDependencyRemoteResolver
Modifier and Type
Field
Description
`protected final IResourceDependencyRemoteResolver`
RemoteMonitoredProxyCreationListener.`remoteResolver`
The remote resolver.
Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that return IResourceDependencyRemoteResolver
Modifier and Type
Method
Description
`IResourceDependencyRemoteResolver`
DefaultResolutionContext.`getRemoteResolver()`
`IResourceDependencyRemoteResolver`
IResolutionContext.`getRemoteResolver()`
The resolver for "remote" (git) resources.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type IResourceDependencyRemoteResolver
Modifier
Constructor
Description
``
`RemoteMonitoredProxyCreationListener(ThreadSafeProgressMonitor monitor, IResourceDependencyRemoteResolver remoteResolver, DiagnosticSupport diagnostic)`
Constructor.